/*
 * This program counts the number of prime numbers less than or equal to the number on the command line 
 */
#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int n = 1000;

int is_prime (int p) {
	if (p == 0) return false;
	if (p == 1) return false;
	int lim = sqrt (p);
	for (int i=2; i<=lim; i++) if (p % i == 0) return false;
	return true;
}

int pi (int m) {
	int number = 0;
	for (int i=0; i<m; i++) number += is_prime (i);
        return number;
}

int main (int argc, char **argv) {
	if (argc == 2) {
		sscanf (argv[1], "%d", &n);
	}
	printf ("%d\n", pi (n));
	return 0;
}
